| Box2D 2.3.0 A 2D Physics Engine for Games

Public Member Functions | Public Attributes | List of all members
b2TreeNode Struct Reference

A node in the dynamic tree. The client does not interact with this directly. More...

`#include <b2DynamicTree.h>`

## Public Member Functions
bool | IsLeaf () const

## Public Attributes
b2AABB | aabb
| Enlarged AABB.
void * | userData
union {
int32 parent
int32 next
}; |
int32 | child1
int32 | child2
int32 | height

## Detailed Description

A node in the dynamic tree. The client does not interact with this directly.

The documentation for this struct was generated from the following file:

- b2DynamicTree.h